LAMRESTART(1)

NAME
lamrestart - restart a LAM/MPI program.

SYNTAX

lamrestart <-ssi cr self|blcr] <-ssi cr_restart_args argstompirun> <-ssi cr_blcr_context_file contextfile>

OPTIONS
-h Print useful information on this command.

DESCRIPTION
A MPI application can be restarted using lamrestart.

lamrestart calls the module-specific restart function. If the selected SSI module is
 'self', the SSI parameter specifying the arguments to be passed to mpirun should also be given as an argument to lamrestart. In case the 'blcr' Checkpoint/Restart module is specified as the 'cr' SSI parameter, the location of the context file should be passed as an argument to lamrestart.

EXAMPLES

lamrestart -ssi cr self -ssi cr_restart_args "-ssi cr_self_prefix foo -np 2 /location/of/application"
    Restart application on 2 nodes. Note that it is assumed that the application has a function named 'foo_restart', failing which mpirun aborts.

lamrestart -ssi cr blcr -ssi cr_blcr_context_file /path/to/context/file
    Restart mpirun using the specified context file. The context file is the file that was saved during checkpoint time.

SEE ALSO
lamcheckpoint(1), lamboot(1), lamhalt(1), hboot(1), lamwipe(1), tkill(1), bhost(5), conf(5), lamssi_boot(7)